org.encog.app.analyst.commands

## Class Cmd

- java.lang.Object
- - org.encog.app.analyst.commands.Cmd

- Direct Known Subclasses:
    CmdBalance, CmdCluster, CmdCode, CmdCreate, CmdEvaluate, CmdEvaluateRaw, CmdGenerate, CmdNormalize, CmdProcess, CmdRandomize, CmdReset, CmdSegregate, CmdSet, CmdTrain

      public abstract class Cmd
      extends Object

  Base class for Encog Analyst commands. This class defines the properties sent to a command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cmd(EncogAnalyst theAnalyst)` Construct this command.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `executeCommand(String args)` Execute this command.
    `EncogAnalyst` | `getAnalyst()`
    `int` | `getKfold()`
    `abstract String` | `getName()`
    `ScriptProperties` | `getProp()`
    `AnalystScript` | `getScript()`
    `int` | `obtainCross()` Obtain the number of folds for cross validation.
    `MLMethod` | `obtainMethod()` Obtain the ML method.
    `MLDataSet` | `obtainTrainingSet()` Obtain the training set.
    `void` | `setKfold(int kfold)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Cmd

          public Cmd(EncogAnalyst theAnalyst)

      Construct this command.
      Parameters:
        `theAnalyst` - The analyst that this command belongs to.

  - ### Method Detail

    - #### executeCommand

          public abstract boolean executeCommand(String args)

      Execute this command.
      Parameters:
        `args` - The arguments for this command.
      Returns:
        True if processing should stop after this command.

    - #### getAnalyst

          public EncogAnalyst getAnalyst()

      Returns:
        The analyst used with this command.

    - #### getName

          public abstract String getName()

      Returns:
        The name of this command.

    - #### getProp

          public ScriptProperties getProp()

      Returns:
        The properties used with this command.

    - #### getScript

          public AnalystScript getScript()

      Returns:
        The script used with this command.

    - #### obtainCross

          public int obtainCross()

      Obtain the number of folds for cross validation.
      Returns:
        The number of folds.

    - #### obtainMethod

          public MLMethod obtainMethod()

      Obtain the ML method.
      Returns:
        The method.

    - #### obtainTrainingSet

          public MLDataSet obtainTrainingSet()

      Obtain the training set.
      Returns:
        The training set.

    - #### getKfold

          public int getKfold()

    - #### setKfold

          public void setKfold(int kfold)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.